* {
    margin: 0;
    box-sizing: border-box;
}

#container {
    display: flex;
    justify-content: center;
    background-color: #c0cde7;
    width: 100vw;
    height: 100vh;
    font-family: 'Mukta', sans-serif;
}

#primeira-parte {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 50vw;
    height: 100vh;
    
}


.primeira-divisao {
    justify-content: center;
    align-items: center;
    flex-direction: column;
    width: 500px;
    height: 600px;
    padding-bottom: 15px;
    background-color: #FFF;
    border-radius: 7px;
    border: 1px solid #000;
    box-shadow: 0 5px 10px #000;
    border-color: #2449af;
    overflow: hidden;
}

.secao-titulo {
    display: flex;
    justify-content: center;
    background-color: #2449af;
    height: 50px;
    margin-bottom: 10px;
    padding-top: 5px;
    color: #f2f3ff;
}

#titulo {
    text-align: center;

}


.investimento {
    display: block;
    margin-bottom: 10px;
    margin-left: auto;
    margin-right: auto;
    font-weight: bold;
    

}

.investimento-label {
    display: block;
    margin-left: auto;
    margin-right: auto;
    height: 25px;
    width: 380px;
    font-weight: bold;
    font-size: 1.1rem;
    margin-bottom: 4px;
}

.investimento-input {
    display: block;
    margin-left: auto;
    margin-right: auto;
    padding-left: 10px;
    padding-right: 10px;
    border: 1px solid #000;
    border-radius: 5px;
    height: 25px;
    width: 380px;
    background-color: #f3f3f3;
}



.vencimento-input {
    display: flex;
    flex-direction: column;
    margin-bottom: 5rem;
    margin-left: auto;
    margin-right: auto;
    height: 25px;
    width: 380px;
    font-weight: bold; 

}

.vencimento-input label, .vencimento-input input {
    vertical-align: middle;
    margin-left: 2px;
}

.vencimento-input input {
    position: relative;
    right: 5px;
    margin-bottom: 5px;
}

.alerta-prioridade {
    display: inline-block;
    position: relative;
    margin-left: auto;
    margin-right: auto;
    height: 25px;
    margin: 20px;
    left: 40px;
    font-weight: bold;
}

#botao-inserir {
    display: inline-block;
    position: relative;
    width: 8em;
    height: 2em;
    left: 150px;
    border-radius: 4px;
    background-color: #cacaca;
}


#segunda-parte {
    justify-content: left;
    bottom: 50px;
    width: 50vw;
    height: 100vh;
    

}

#tabela {
    background-color: #2449af;
    border: 2px solid #000;
    border-collapse: collapse;
    border-radius: 7px;
    color: #4f546c;
    box-shadow: 0 5px 10px #000;
    overflow: hidden;
    margin-top: 170px;
    /* white-space: nowrap; */
}




#tabela th{
    color: #fff;
    font-size: 1rem;
    font-weight: bold;
    text-align: left;
    
}

#tabela td, th {
  padding: 12px 15px;
}

.corpo-tabela {
    background-color: #fff;
    text-align: left;
    font-size: 1rem;
}

.corpo-tabela:nth-child(even) {
    background-color: #f3f3f3;
    background-color: #d1eafa;
}

.remover {
    width: 20px;
    margin-left: 20px;
}

.remover:hover{
    cursor: pointer;
}

#rodape-tabela {
    text-align: left;
    border-top: 2px solid #000;
    font-weight: bold;
    background-color: #fff;
    font-size: 1rem;
}



@media screen and (max-width: 1024px) {

    #container {
        display: flex;
        background-color: #c0cde7;
        flex-direction: column;
    }

    #primeira-divisao {
        width: 100vw;
    }

    #primeira-parte {
        width: 100vw;
    }
 

    .primeira-divisao {
        justify-content: center;
        width: 400px;
        height: 600px;
    }

    .investimento-label {
        margin-left: 50px;
        margin-right: auto;
    }

    .investimento-input {
        width: 300px;
        margin-left: 50px;
        margin-right: auto;

    }

    .vencimento-input {
        margin-left: 50px;
    }

    .alerta-prioridade {
        left: 28px;
    }

    #botao-inserir {
        left: 60px;
    }

    #segunda-parte {
        background-color: #c0cde7;
        width: 100vw;
    }

    #tabela {
        margin-top: 50px;
        width: 300px;
    }

    #tabela td, th {
        padding: 8px 12px;
      }
      
}
